LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   Yum crashing on Openssl (http://www.linuxquestions.org/questions/linux-newbie-8/yum-crashing-on-openssl-705746/)

chankyakutil 02-18-2009 07:54 PM

Yum crashing on Openssl
 
I have RHEL5.2 clone scientific linux. Everything was working fine till yesterday. My software updater started crashing. I tried yum and same result there. I did not install any package in last 2 days. The yum was working fine. I get the following error


Traceback (most recent call last):
File "/usr/sbin/pirut", line 490, in ?
main()
File "/usr/sbin/pirut", line 483, in main
pm = PackageManager(options.config, options.onlyrepo)
File "/usr/sbin/pirut", line 67, in __init__
GraphicalYumBase.__init__(self, False, config)
File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 137, in __init__
plugin_types=(yum.plugins.TYPE_CORE,))
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 118, in doConfigSetup
errorlevel=errorlevel)
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 162, in _getConfig
startupconf.pluginconfpath,disabled_plugins)
File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 314, in doPluginSetup
plugin_types, confpath, disabled_plugins)
File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 145, in __init__
self._importplugins(types)
File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 186, in _importplugins
self._loadplugin(modulefile, types)
File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 203, in _loadplugin
module = imp.load_module(modname, fp, pathname, description)
File "/usr/lib/yum-plugins/rhnplugin.py", line 26, in ?
import up2date_client.up2dateAuth as up2dateAuth
File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 4, in ?
import rhnserver
File "/usr/share/rhn/up2date_client/rhnserver.py", line 21, in ?
import rpcServer
File "/usr/share/rhn/up2date_client/rpcServer.py", line 18, in ?
from rhn import rpclib
File "/usr/lib/python2.4/site-packages/rhn/__init__.py", line 11, in ?
import rpclib
File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 12, in ?
import transports
File "/usr/lib/python2.4/site-packages/rhn/transports.py", line 22, in ?
import connections
File "/usr/lib/python2.4/site-packages/rhn/connections.py", line 11, in ?
import SSL
File "/usr/lib/python2.4/site-packages/rhn/SSL.py", line 14, in ?
from OpenSSL import SSL, crypto
ImportError: No module named OpenSSL

I cheked my python is installed ok,
rpm -q python openssl yum
python-2.4.3-21.el5
openssl-0.9.8b-10.el5_2.1
yum-3.2.8-10.sl

My kernel is uname -a
Linux nexrhel1 2.6.18-128.1.1.el5debug #1 SMP Tue Feb 10 12:45:10 EST 2009 i686 i686 i386 GNU/Linux.

If anybody can help, I would really appreciate it.

Drakeo 02-18-2009 08:44 PM

I hate this you do and update on a two and a half year old kernel system and it just breaks down. from the read out there is more than the yum oss problems seems some of your config files have been changed to. if there is more updates you may need to finish them.


All times are GMT -5. The time now is 06:10 PM.